| FFmpegKit Linux API 6.0

Loading...
Searching...
No Matches
Data Fields
ThreadQueue Struct Reference

## Data Fields
int * | finished
unsigned int | nb_streams
AVFifo * | fifo
ObjPool * | obj_pool
void(* | obj_move )(void *dst, void *src)
pthread_mutex_t | lock
pthread_cond_t | cond

## Detailed Description

Definition at line 56 of file fftools_thread_queue.c.

## Field Documentation

## ◆ cond

pthread_cond_t ThreadQueue::cond

Definition at line 66 of file fftools_thread_queue.c.

## ◆ fifo

AVFifo* ThreadQueue::fifo

Definition at line 60 of file fftools_thread_queue.c.

## ◆ finished

int* ThreadQueue::finished

Definition at line 57 of file fftools_thread_queue.c.

## ◆ lock

pthread_mutex_t ThreadQueue::lock

Definition at line 65 of file fftools_thread_queue.c.

## ◆ nb_streams

unsigned int ThreadQueue::nb_streams

Definition at line 58 of file fftools_thread_queue.c.

## ◆ obj_move

void(* ThreadQueue::obj_move) (void *dst, void *src)

Definition at line 63 of file fftools_thread_queue.c.

## ◆ obj_pool

ObjPool* ThreadQueue::obj_pool

Definition at line 62 of file fftools_thread_queue.c.

The documentation for this struct was generated from the following file:

- fftools_thread_queue.c